Bug 62605 - shift-delete doesn't put cut into clipboard with text area
shift-delete doesn't put cut into clipboard with text area
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-02 18:31 EST by James Manning
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-17 08:26:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Manning 2002-04-02 18:31:57 EST
Description of Problem: 
If you highlight a selection of characters in a text area in konqueror 
and hit shift-delete, it no longer puts those characters into the clipboard. 
It *does* put them in the clipboard if it's a input type=text (one-line input) 
but not for textarea.  Easiest to confirm with the comments textarea for a 
bugzilla entry (should be one nearby as you see this :) 
 
AFAICT, a regression from 2.2.x 
 
Version-Release number of selected component (if applicable): 
jmm@jmm:/home/jmm> rpm -qf `which konqueror` 
kdebase-3.0.0-0.cvs20020321.1 
 
 
How Reproducible: 
100% 
 
Steps to Reproduce: 
1. go to a page with a textarea 
2. type in some text 
3. select some of it, hit shift-delete 
 
Actual Results: 
selected text deletes but does not go to the clipboard / cut buffer 
 
Expected Results: 
should work like the normal input - shift-del should put in clipboard 
 
Additional Information:
Comment 1 James Manning 2002-05-17 14:09:24 EDT
still a problem in 7.3 - everything works great in mozilla (in a textarea,
whatever you just did a shift-delete on will be what gets pasted when you do a
shift-insert afterwards)
Comment 2 Radek Bíba 2005-02-17 08:26:51 EST
no problem with kdebase-3.3.1-4.3.FC3, closing...

Note You need to log in before you can comment on or make changes to this bug.